summaryrefslogtreecommitdiffstats
path: root/yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash
diff options
context:
space:
mode:
authorwym_libra <yimin.wang@huawei.com>2015-10-26 07:54:31 +0000
committerwym_libra <yimin.wang@huawei.com>2015-11-13 06:59:51 +0000
commit6a5d8a6d58ab501184313eda84820294ff3597e7 (patch)
tree2fa59c5f95776db6c9461816ba293547c247eed7 /yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash
parenteb8320b2e924e22c20af49a0d37bee12417ede95 (diff)
A initial HA test case
1)stop an openstack service 2)then monitor the corresponding api and check the availability of it 3)recovery the openstack service JIRA: YARDSTICK-149 Change-Id: Id7b77d2f5c71844729c04f37442c8cfaa270ab12 Signed-off-by: wym_libra <yimin.wang@huawei.com>
Diffstat (limited to 'yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash')
-rwxr-xr-xyardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash21
1 files changed, 21 insertions, 0 deletions
diff --git a/yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash b/yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash
new file mode 100755
index 000000000..a8901784e
--- /dev/null
+++ b/yardstick/benchmark/scenarios/availability/ha_tools/stop_service.bash
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2015 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Stop a service and check the service is stoped
+
+set -e
+
+service_name=$1
+
+service $service_name stop
+
+# TODO
+# check the service status